Subject: bug#44486: 27.1; C-@ chars corrupt elisp buffer

From: Stefan Monnier <[email-masked]>
Date: Sat, 14 Nov 2020 17:56:36 -0500

>> For .el files, we can always bind inhibit-null-byte-detection to t
>> when we load or visit such files.
> Alternatively, we could introduce a separate coding-system whose
> :inhibit-null-byte-detection property is t, and use that for *.el
> files.

If you want to go that route, that's fine by me.  AFAIK noone else uses
`prefer-utf-8`, so it doesn't seem worth the trouble, tho (especially
since we don't have any evidence that potential other users would favor
the current behavior over the inhibit-null-byte-detection one).

        Stefan